Subject: HP's Amigo Protocall & HP IPC

From: Joe <[email-masked]>
Date: Sun May 4 01:30:13 2003

Yesterday I was cleaning out and putting some excess HP manuals on E-bay. One of the books that I found, HP-UX Concepts and Tutorials - Device I/O and User Interfacing, looked interesting but was still sealed so I listed it without opening it to see exactly what it covered. (I'm not real big on HP-UX).  Today I found another copy of the same manual. It was alreadu opened so I've been reading through it. First, it DOES cover the HP IPC (Intergral Personal Computer) along with the HP 9000 Series 200/300, Series 500 and Series 800 computers. Each function that only applies to certain systems is flagged and there are appendices for the IPC and each of the other series that list and describe any peculiarities of that implementation. BUT what was even more surprising is that it states that many of the HP printers use the Amigo protocall! For the ones of you that aren't familiar with HPs that protocall is used for low end disk drives. This is the first time that I've heard that was also used for printers. Besides that statement it also has a "non-trivel" programming example of an "HP-IB driver that uses the Device I/O Library subroutines to drive various models of the HP Amigo protocall HP-IB printers". This might be a good starting point for anyone that wants to write and Amigo driver to talk to disk drives. Are you listening, Sergio and Peter?

   This book is definitely a keeper! It describes the HP-IB and GPIO interfaces for the various systems in detail including their status and control registers. It then describes how to use the DIL (Device I/O Library) included with HP-UX to set, read and control the interfaces and how to link calls to the DIL from Fortran, Pascal and Assembly language programs. It looks like a great source of info for anyone that wants to write their own device drivers or wants low level control of HP-IB and GPIO interfaces under HP-UX. 

   I'm keeping this copy but I have another one that's already on E-bay. I know this sounds like a shameless plug but it's not. I'm just really impressed with this book.

    Joe